Subject: Re: bug#53250: icedove clears data

From: Maxime Devos <[email-masked]>
Date: Fri, 14 Jan 2022 15:52:45 +0100

Nicholas von Klitzing via Bug reports for GNU Guix schreef op vr 14-01-
2022 om 12:02 [+0000]:
> A brief follow up:
> 
> It seems the ~/.icedove folder is not used by icedove (it was probably a relic of when I used icedove-wayland).
> 
> Now looking into ~./thunderbird instead I see several more profiles.
> 
> ```
> nicholas@guix14 ~/.thunderbird$ ls
> bv7r86h9.default/            installs.ini               profiles.ini
> gdmykixq.default-default-1/  k6sjw3jm.default-default/
> nicholas@guix14 ~/.thunderbird$ cat profiles.ini
> [Profile2]
> [...]
> [Profile1]
> [...]
> [Profile0]
> [...]
> [Install281FC43567D8867D]
> [General]
> [...]
> [Install3F4F07DFB18472B1]
> [...]
> ```
> 
> Launching icedove with `icedove -p` and then iterating through the 3 listed profiles all leads to a blank profile, except for default-default. The default-default profile contains all of my mail account and settings.
> 
> I now set default-default to be my main profile (resolving my issue) but I doubt this is what users expect the software to do.
> 
> Is it possible that icedove creates a new profile on upgrades and sets it as default? I definitely did not manually create 3 profiles.

Maybe take a look at the following code in 'icedove':

         ;; Fixes issue where each installation directory generates its
own profile.
         ;; See e.g.
https://trac.torproject.org/projects/tor/ticket/31457
         (add-after 'patch-source-shebangs 'fix-profile-setting
           (lambda _
             (substitute* "comm/mail/moz.configure"
               (("MOZ_DEDICATED_PROFILES, True")
                "MOZ_DEDICATED_PROFILES, False"))
             #t))

Seems like this was fixed at some point but the fix broke?

Greetings,
Maxime.